#include "f.h"
#include <cassert>
#include <limits>
#include <iostream>

int main(int argc, char* argv[]) {
  assert(argc==5);
  int np=std::stoi(argv[1]), nb=std::stoi(argv[2]);
  assert(np>0&&nb>0&&np%nb==0);
  int ns=std::stoi(argv[3]), nc=std::stoi(argv[4]);
  assert(ns>0&&nc>0&&ns%nc==0);
  using T=double; std::cout.precision(std::numeric_limits<T>::digits10);
  using Tp=float; 
  T x=1.; std::vector<std::vector<Tp>> p(2,std::vector<Tp>(ns,1));
  std::cout << "y=" << f(np,nb,ns,nc,x,p) << std::endl;
  return 0;
}
