#ifndef __OPTION_H
#define __OPTION_H

#include "dco_type.h"
#include "payoff.h"

class Option {
 public:
  PayOff* pay_off;
  dco_type<double> K;
  dco_type<double> r;
  dco_type<double> T;

  Option(dco_type<double> _K, dco_type<double> _r, 
         dco_type<double> _T, PayOff* _pay_off);

  virtual ~Option();
};

#endif
